cURL
curl --request GET \ --url https://api.ttapi.io/suno/v2/fetch \ --header 'TT-API-KEY: <api-key>'
{ "status": "SUCCESS", "message": "success", "jobId": "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx", "data": { "jobId": "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx", "action": "music", "progress": "100%", "mv": "chirp-v5", "quota": "6", "hookUrl": "https://webhook-test.com/ed9731f4026f04e7c0cfa99e41d2b2fc", "musics": [ { "musicId": "xxxxxxxxxxxxxxxxx", "prompt": "xxxxxxxxxxxxxxxxxx", "title": "xxxxx", "tags": "xxxxx", "imageUrl": "https://cdn2.suno.ai/xxxxxxxxxxxxxxxxx.jpeg", "imageLargeUrl": "https://cdn2.suno.ai/xxxxxxxxxxxxxx.jpeg", "audioUrl": "https://cdn1.suno.ai/xxxxxxxxxxxxxxx.mp3", "videoUrl": "https://cdn1.suno.ai/xxxxxxxxxxxxxxx.mp4", "duration": "211.44", "negativeTags": "xxxxxxxxxxxxxxxxxxx", "styleWeight": null, "weirdnessConstraint": null, "audioWeight": null, "createdAt": "2026-03-03T02:23:51.401Z" } ] } }
使用 Suno V2 查询结果接口获取更稳定的任务状态和音乐生成结果,适合新接入项目和生产环境轮询查询。
Documentation IndexFetch the complete documentation index at: https://docs.ttapi.io/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.ttapi.io/llms.txt
Use this file to discover all available pages before exploring further.
请前往 TTAPI 控制台 获取 API 密钥。
生成请求返回的jobId
请求成功
ON_QUEUE
SUCCESS
FAILED
响应信息
任务id
音频任务结果
Show child attributes